Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(215)

Issue 13412046: Reimplement OAuth2 library - Step 1 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 years, 8 months ago by peleyal
Modified:
5 years, 7 months ago
Reviewers:
class
CC:
google-api-dotnet-client_googlegroup.com
Base URL:
https://google-api-dotnet-client.googlecode.com/hg/
Visibility:
Public.

Description

Reimplement OAuth2 library - Step 1 ---sumnmary---- 1. s/http/HTTP 2. Update to Bcl.Build 1.0.10 - no need to add the new targets file. The build will fail on the first time, and succeed in the second time. 3. Support Tasks in our unsuccessful response handler, I/O exception handler and interceptor 4. Move ExponentialBackOffInitializer to its own file 5. Create Parameters namespace (in requests)

Patch Set 1 #

Patch Set 2 : all tests are running #

Total comments: 42

Patch Set 3 : self review #

Patch Set 4 : minor #

Total comments: 148

Patch Set 5 : Class comments #

Patch Set 6 : minor #

Total comments: 4
Unified diffs Side-by-side diffs Delta from patch set Stats (+1196 lines, -1016 lines) Patch
M Src/GoogleApis.Authentication.OAuth2.Tests/GoogleApis.Authentication.OAuth2.Tests.csproj View 1 chunk +5 lines, -1 line 0 comments Download
M Src/GoogleApis.Authentication.OAuth2.Tests/Properties/AssemblyInfo.cs View 1 2 3 4 5 1 chunk +3 lines, -3 lines 0 comments Download
M Src/GoogleApis.Authentication.OAuth2.Tests/packages.config View 1 chunk +1 line, -1 line 0 comments Download
M Src/GoogleApis.Authentication.OAuth2/GoogleApis.Authentication.OAuth2.csproj View 1 chunk +5 lines, -1 line 0 comments Download
M Src/GoogleApis.Authentication.OAuth2/OAuth2Authenticator.cs View 1 2 3 4 4 chunks +11 lines, -9 lines 0 comments Download
M Src/GoogleApis.Authentication.OAuth2/Properties/AssemblyInfo.cs View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M Src/GoogleApis.Authentication.OAuth2/packages.config View 1 chunk +1 line, -1 line 0 comments Download
A Src/GoogleApis.DotNet4/Apis/Util/Store/FileDataStore.cs View 1 2 3 4 5 1 chunk +151 lines, -0 lines 0 comments Download
M Src/GoogleApis.DotNet4/GoogleApis.DotNet4.csproj View 3 chunks +7 lines, -2 lines 0 comments Download
M Src/GoogleApis.DotNet4/Properties/AssemblyInfo.cs View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M Src/GoogleApis.DotNet4/packages.config View 1 chunk +1 line, -1 line 0 comments Download
M Src/GoogleApis.Tests/Apis/Http/ConfigurableMessageHandlerTest.cs View 1 2 3 4 38 chunks +70 lines, -63 lines 0 comments Download
M Src/GoogleApis.Tests/Apis/Requests/ClientServiceRequestTest.cs View 1 2 3 4 5 46 chunks +183 lines, -169 lines 0 comments Download
M Src/GoogleApis.Tests/Apis/Requests/Parameters/ParameterCollectionTest.cs View 1 2 5 chunks +8 lines, -18 lines 0 comments Download
M Src/GoogleApis.Tests/Apis/Requests/Parameters/ParameterValidatorTest.cs View 1 2 3 4 2 chunks +4 lines, -6 lines 0 comments Download
M Src/GoogleApis.Tests/Apis/Services/BaseClientServiceTest.cs View 1 2 3 4 5 12 chunks +81 lines, -75 lines 0 comments Download
M Src/GoogleApis.Tests/Apis/Utils/ExponentialBackOffTest.cs View 1 2 3 4 5 6 chunks +11 lines, -11 lines 0 comments Download
M Src/GoogleApis.Tests/GoogleApis.Tests.csproj View 4 chunks +8 lines, -4 lines 0 comments Download
M Src/GoogleApis.Tests/Properties/AssemblyInfo.cs View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M Src/GoogleApis.Tests/[Mock]/MockBackOffHandler.cs View 1 2 3 4 5 1 chunk +7 lines, -5 lines 0 comments Download
M Src/GoogleApis.Tests/[Mock]/MockHttpClientFactory.cs View 1 chunk +1 line, -1 line 0 comments Download
M Src/GoogleApis.Tests/packages.config View 1 chunk +1 line, -1 line 0 comments Download
M Src/GoogleApis/Apis/Authentication/AuthenticatorHelpers.cs View 3 chunks +5 lines, -1 line 0 comments Download
M Src/GoogleApis/Apis/Discovery/DiscoveryVersion.cs View 1 2 3 4 5 1 chunk +7 lines, -0 lines 0 comments Download
M Src/GoogleApis/Apis/Http/BackOffHandler.cs View 1 2 3 4 6 chunks +34 lines, -35 lines 0 comments Download
M Src/GoogleApis/Apis/Http/ConfigurableHttpClient.cs View 1 2 3 4 1 chunk +3 lines, -7 lines 0 comments Download
M Src/GoogleApis/Apis/Http/ConfigurableMessageHandler.cs View 1 2 3 4 10 chunks +40 lines, -42 lines 2 comments Download
A Src/GoogleApis/Apis/Http/ExponentialBackOffInitializer.cs View 1 2 3 4 1 chunk +75 lines, -0 lines 0 comments Download
M Src/GoogleApis/Apis/Http/HttpClientFactory.cs View 1 2 3 4 2 chunks +8 lines, -8 lines 0 comments Download
M Src/GoogleApis/Apis/Http/HttpConsts.cs View 1 chunk +1 line, -1 line 0 comments Download
M Src/GoogleApis/Apis/Http/HttpExtenstions.cs View 1 2 3 4 2 chunks +3 lines, -3 lines 0 comments Download
M Src/GoogleApis/Apis/Http/IConfigurableHttpClientInitializer.cs View 1 2 3 4 1 chunk +2 lines, -2 lines 0 comments Download
M Src/GoogleApis/Apis/Http/IHttpClientFactory.cs View 1 2 3 4 1 chunk +8 lines, -12 lines 0 comments Download
M Src/GoogleApis/Apis/Http/IHttpExceptionHandler.cs View 1 2 3 4 5 2 chunks +12 lines, -14 lines 0 comments Download
M Src/GoogleApis/Apis/Http/IHttpExecuteInterceptor.cs View 1 2 3 4 1 chunk +9 lines, -7 lines 0 comments Download
M Src/GoogleApis/Apis/Http/IHttpUnsuccessfulResponseHandler.cs View 1 2 3 4 2 chunks +12 lines, -15 lines 0 comments Download
M Src/GoogleApis/Apis/Requests/ClientServiceRequest.cs View 1 2 3 4 5 16 chunks +22 lines, -61 lines 0 comments Download
M Src/GoogleApis/Apis/Requests/IClientServiceRequest.cs View 1 2 3 4 1 chunk +12 lines, -12 lines 0 comments Download
M Src/GoogleApis/Apis/Requests/Parameters/ParameterCollection.cs View 1 chunk +2 lines, -1 line 0 comments Download
A Src/GoogleApis/Apis/Requests/Parameters/ParameterUtils.cs View 1 2 3 4 1 chunk +129 lines, -0 lines 0 comments Download
M Src/GoogleApis/Apis/Requests/Parameters/ParameterValidator.cs View 1 2 3 4 1 chunk +6 lines, -8 lines 0 comments Download
M Src/GoogleApis/Apis/Requests/RequestBuilder.cs View 1 2 3 4 6 chunks +10 lines, -9 lines 0 comments Download
M Src/GoogleApis/Apis/Services/BaseClientService.cs View 1 2 3 4 9 chunks +24 lines, -74 lines 0 comments Download
M Src/GoogleApis/Apis/Services/IClientService.cs View 1 2 3 4 2 chunks +16 lines, -16 lines 0 comments Download
A Src/GoogleApis/Apis/Util/IClock.cs View 1 2 3 4 1 chunk +45 lines, -0 lines 0 comments Download
M Src/GoogleApis/Apis/Util/RequestParameterAttribute.cs View 1 2 3 4 2 chunks +24 lines, -21 lines 0 comments Download
A Src/GoogleApis/Apis/Util/Store/IDataStore.cs View 1 2 3 4 5 1 chunk +53 lines, -0 lines 0 comments Download
M Src/GoogleApis/Apis/[Media]/Upload/ResumableUpload.cs View 1 2 3 4 20 chunks +52 lines, -44 lines 0 comments Download
M Src/GoogleApis/GoogleApiException.cs View 2 chunks +5 lines, -16 lines 2 comments Download
M Src/GoogleApis/GoogleApis.csproj View 4 chunks +13 lines, -3 lines 0 comments Download
M Src/GoogleApis/Properties/AssemblyInfo.cs View 1 chunk +1 line, -1 line 0 comments Download
M Src/GoogleApis/packages.config View 1 chunk +1 line, -1 line 0 comments Download
R packages/Microsoft.Bcl.Build.1.0.8/tools/Microsoft.Bcl.Build.targets View 1 1 chunk +0 lines, -227 lines 0 comments Download

Messages

Total messages: 8
peleyal
https://codereview.appspot.com/13412046/diff/3001/Src/GoogleApis.Authentication.OAuth2/OAuth2Authenticator.cs File Src/GoogleApis.Authentication.OAuth2/OAuth2Authenticator.cs (right): https://codereview.appspot.com/13412046/diff/3001/Src/GoogleApis.Authentication.OAuth2/OAuth2Authenticator.cs#newcode26 Src/GoogleApis.Authentication.OAuth2/OAuth2Authenticator.cs:26: using System.Threading.Tasks; Fix using order https://codereview.appspot.com/13412046/diff/3001/Src/GoogleApis.DotNet4/Apis/Util/Store/FileDataStore.cs File Src/GoogleApis.DotNet4/Apis/Util/Store/FileDataStore.cs (right): ...
5 years, 8 months ago (2013-09-10 01:14:44 UTC) #1
peleyal
https://codereview.appspot.com/13412046/diff/3001/Src/GoogleApis.Authentication.OAuth2/OAuth2Authenticator.cs File Src/GoogleApis.Authentication.OAuth2/OAuth2Authenticator.cs (right): https://codereview.appspot.com/13412046/diff/3001/Src/GoogleApis.Authentication.OAuth2/OAuth2Authenticator.cs#newcode26 Src/GoogleApis.Authentication.OAuth2/OAuth2Authenticator.cs:26: using System.Threading.Tasks; On 2013/09/10 01:14:44, peleyal wrote: > Fix ...
5 years, 8 months ago (2013-09-10 12:32:21 UTC) #2
peleyal
Hi Mr. Class I started splitting the huge CL into small huge CLs :) Let ...
5 years, 8 months ago (2013-09-10 12:37:02 UTC) #3
class
Lots of nits, mostly optional feedback. I had a few comments on spacing, particularly around ...
5 years, 8 months ago (2013-09-16 23:47:29 UTC) #4
peleyal
WOWWWW, that took me forever. Thanks Gus! https://codereview.appspot.com/13412046/diff/47001/Src/GoogleApis.Authentication.OAuth2.Tests/packages.config File Src/GoogleApis.Authentication.OAuth2.Tests/packages.config (right): https://codereview.appspot.com/13412046/diff/47001/Src/GoogleApis.Authentication.OAuth2.Tests/packages.config#newcode5 Src/GoogleApis.Authentication.OAuth2.Tests/packages.config:5: <package id="Microsoft.Bcl.Build" ...
5 years, 8 months ago (2013-09-17 15:53:39 UTC) #5
class
LGTM. I found one small typo, and optionally, you can update the copyright date (some ...
5 years, 8 months ago (2013-09-21 03:12:10 UTC) #6
peleyal
Wax pushed to repository :) Thanks Gus! https://codereview.appspot.com/13412046/diff/92001/Src/GoogleApis/Apis/Http/ConfigurableMessageHandler.cs File Src/GoogleApis/Apis/Http/ConfigurableMessageHandler.cs (right): https://codereview.appspot.com/13412046/diff/92001/Src/GoogleApis/Apis/Http/ConfigurableMessageHandler.cs#newcode36 Src/GoogleApis/Apis/Http/ConfigurableMessageHandler.cs:36: /// It ...
5 years, 7 months ago (2013-09-23 12:01:15 UTC) #7
peleyal
5 years, 7 months ago (2013-09-23 12:01:26 UTC) #8
Was pushed to repository :)
Thanks Gus!
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b